echo "------------------------------------------"
echo "---------- unzip ICBM_part1.tar ----------"
echo "------------------------------------------"
tar -xvf ICBM_part1.tar

echo "------------------------------------------"
echo "---------- unzip ICBM_part2.tar ----------"
echo "------------------------------------------"
tar -xvf ICBM_part2.tar

echo "------------------------------------------"
echo "---------- unzip ICBM_part3.tar ----------"
echo "------------------------------------------"
tar -xvf ICBM_part3.tar

echo "----------------------------------------------------------------------------"
echo "----------------- Please install necessary Python pcakges ------------------"
echo "----------------------------------------------------------------------------"
echo "Core packages include: ipython, scipy, scikit-learn, joblib, matplotlib, nibabel, nilearn and pandas"
# Here is the installed packages outputed by command `conda list`: 
# Name                    Version                   Build  Channel
# backcall                  0.2.0              pyh9f0ad1d_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# backports                 1.0                        py_2    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# backports.functools_lru_cache 1.6.1                      py_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# blas                      1.0                         mkl    https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/free
# brotlipy                  0.7.0           py36hc753bc4_1001    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# ca-certificates           2020.12.5            h5b45459_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# cached-property           1.5.1                      py_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# certifi                   2020.12.5        py36ha15d459_1    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# cffi                      1.14.4           py36he58ceb7_1    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# chardet                   4.0.0            py36ha15d459_1    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# colorama                  0.4.4              pyh9f0ad1d_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# cryptography              3.3.1            py36he58ceb7_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# decorator                 4.4.2                      py_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# h5py                      3.1.0           nompi_py36hf359dfe_100    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# hdf5                      1.10.6          nompi_h5268f04_1114    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# icc_rt                    2019.0.0             h0cc432a_1    https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/main
# idna                      2.10               pyh9f0ad1d_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# intel-openmp              2020.3             h57928b3_311    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# ipython                   7.12.0           py36h5ca1d4c_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# ipython_genutils          0.2.0                      py_1    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# jedi                      0.18.0           py36ha15d459_2    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# joblib                    1.0.0              pyhd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# krb5                      1.17.2               hbae68bd_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# libblas                   3.9.0                     7_mkl    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# libcblas                  3.9.0                     7_mkl    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# libcurl                   7.71.1               h4b64cdc_8    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# liblapack                 3.9.0                     7_mkl    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# libssh2                   1.9.0                hb06d900_5    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# mkl                       2020.4             hb70f87d_311    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# mkl-service               2.3.0            py36h779f372_2    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# nibabel                   3.2.1              pyhd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# nilearn                   0.7.0              pyhd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# numpy                     1.19.5           py36hd1b969e_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# openssl                   1.1.1i               h8ffe710_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# packaging                 20.8               pyhd3deb0d_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pandas                    1.1.5            py36he38d939_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# parso                     0.8.1              pyhd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pickleshare               0.7.5                   py_1003    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pip                       20.3.3             pyhd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# prompt-toolkit            3.0.10             pyha770c72_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# prompt_toolkit            3.0.10               hd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pycparser                 2.20               pyh9f0ad1d_2    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pydicom                   2.1.2              pyhd3deb0d_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pygments                  2.7.3              pyhd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pyopenssl                 20.0.1             pyhd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pyparsing                 2.4.7              pyh9f0ad1d_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pyreadline                2.1             py36h9f0ad1d_1002    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pysocks                   1.7.1            py36ha15d459_3    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# python                    3.6.12          h39d44d4_0_cpython    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# python-dateutil           2.8.1                      py_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# python_abi                3.6                     1_cp36m    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# pytz                      2020.5             pyhd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# requests                  2.25.1             pyhd3deb0d_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# scikit-learn              0.24.0           py36h63cef00_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# scipy                     1.5.2            py36h9439919_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/main
# setuptools                49.6.0           py36ha15d459_3    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# six                       1.15.0             pyh9f0ad1d_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# threadpoolctl             2.1.0              pyh5ca1d4c_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# tk                        8.6.10               h8ffe710_1    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# traitlets                 4.3.3            py36h9f0ad1d_1    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# urllib3                   1.26.2             pyhd8ed1ab_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# vc                        14.2                 hb210afc_2    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# vs2015_runtime            14.28.29325          h5e1d092_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# wcwidth                   0.2.5              pyh9f0ad1d_2    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# wheel                     0.36.2             pyhd3deb0d_0    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# win_inet_pton             1.1.0            py36ha15d459_2    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# wincertstore              0.2             py36ha15d459_1006    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge
# zlib                      1.2.11            h62dcd97_1010    https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge

echo "----------------------------------------------------------"
echo "--------------- Pre-process fMRI dataset -----------------"
echo "----------------------------------------------------------"

echo "--------- Pre-process FMRI dataset with Python -----------"
python pre-process.py
echo "------------ pre-process fMRI dataset with R -------------"
Rscript pre-process.R
