sub_dir <- dir(pattern = "sub[0-9]")
file_path <- paste0("./", paste0(sub_dir, "/cor_mat.csv"))
spd_list <- list()
for(i in 1:length(file_path)) {
  spd_list[[i]] <- as.matrix(read.csv(file_path[i], header = FALSE))
  rownames(spd_list[[i]]) <- NULL
  colnames(spd_list[[i]]) <- NULL
  spd_list[[i]] <- (spd_list[[i]] + t(spd_list[[i]])) / 2
}
spd_array <- simplify2array(spd_list)
covariate <- read.table("ICBM_demographics.txt")
# all(covariate["V1"] == sub_dir)
niICBM <- list()
niICBM[["spd"]] <- spd_array
niICBM[["covariate"]] <- covariate
save(niICBM, file = "niICBM.rda")
